PROGRAM logtable
  IMPLICIT NONE
  DOUBLE PRECISION, PARAMETER :: step = 0.1d0
  INTEGER :: i, j
  DOUBLE PRECISION :: x

  WRITE (*, "(1X)", advance="no") 
  DO j = 0, 9
     WRITE (*, "(F8.1)", advance="no") j * step
  END DO
  WRITE(*, *)

  DO i = 1, 9
     WRITE (*,"(I2)", advance="no") i
     DO j = 0, 9
        x = i + j * step
        WRITE (*,"(F8.3)", advance="no") LOG10(x)
     END DO
     WRITE (*,*)
  END DO

END PROGRAM logtable
